'Newland.Toubiz.Poi.Neos:ListLink':
  abstract: true
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true
  ui:
    label: i18n
    icon: external-link-alt

  properties:
    sorting: []

    title:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: configuration
          editorOptions:
            required: true

'Newland.Toubiz.Poi.Neos:ListLinkAttraction':
  superTypes:
    'Newland.Toubiz.Poi.Neos:ListLink': true
  ui:
    label: i18n
    group: 'poi'
  properties:
    articleType:
      type: string
      defaultValue: 0

'Newland.Toubiz.Poi.Neos:ListLinkGastronomy':
  superTypes:
    'Newland.Toubiz.Poi.Neos:ListLink': true
  ui:
    label: i18n
    group: 'gastronomy'
  properties:
    articleType:
      type: string
      defaultValue: 1
    preselectedTags: []

'Newland.Toubiz.Poi.Neos:ListLinkTour':
  superTypes:
    'Newland.Toubiz.Poi.Neos:ListLink': true
  ui:
    label: i18n
    group: 'tour'
  properties:
    articleType:
      type: string
      defaultValue: 2
    preselectedTags: []

'Newland.Toubiz.Poi.Neos:ListLinkLodging':
  superTypes:
    'Newland.Toubiz.Poi.Neos:ListLink': true
  ui:
    label: i18n
    group: 'lodging'
  properties:
    articleType:
      type: string
      defaultValue: 3
    preselectedTags: []

'Newland.Toubiz.Poi.Neos:ListLinkDirectMarketer':
  superTypes:
    'Newland.Toubiz.Poi.Neos:ListLink': true
  ui:
    label: i18n
    group: 'directMarketer'
  properties:
    articleType:
      type: string
      defaultValue: 4
    preselectedTags: []

'Newland.Toubiz.Poi.Neos:ListLinkCity':
  superTypes:
    'Newland.Toubiz.Poi.Neos:ListLink': true
  ui:
    label: i18n
    group: 'city'
  properties:
    articleType:
      type: string
      defaultValue: 6
    preselectedCategories: []
    preselectedProperties: []
    preselectedTags: []
    regions: []
